Subject: bug#26298: 26.0.50; Gnus fails to sign mail with PGP

From: [email-masked]
Date: Mon, 14 Aug 2017 19:46:28 -0400

Toon Claes <[email-masked]> writes:

> I have found what is happening.
>
> If I add the following line to `mml-secure-epg-sign', I can successfully
> sign my email:
>
> #+begin_src emacs-lisp :tangle yes
>     (setf (epg-context-pinentry-mode context) 'loopback)
> #+end_src
>
> Now I also understand why `epa-sign-file' works, I have set
> `(setq epa-pinentry-mode 'loopback)' in my init.el.
>
> But, I could use some advice on building a proper fix that would work
> for everyone. We could do something similar like as epa.el does, and add
> yet another defcustom, but doesn't feel very DRY.
> So I hope someone can chime in to give some advice.

Does the patch at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23619#14
help?  Maybe not since it doesn't look like mml1991.el calls
epg-context-set-passphrase-callback, although mml2015.el does.  Perhaps
mml1991.el should too?